/*  Creator: make/0

    Purpose: Provide index for autoload
*/

index(tipc_socket(?,?), tipc, tipc).
index(tipc_close_socket(?), tipc, tipc).
index(tipc_setopt(?,?), tipc, tipc).
index(tipc_bind(?,?,?), tipc, tipc).
index(tipc_listen(?,?), tipc, tipc).
index(tipc_accept(?,?,?), tipc, tipc).
index(tipc_open_socket(?,?,?), tipc, tipc).
index(tipc_get_name(?,?), tipc, tipc).
index(tipc_get_peer_name(?,?), tipc, tipc).
index(tipc_connect(?,?), tipc, tipc).
index(tipc_receive(?,?,?,?), tipc, tipc).
index(tipc_send(?,?,?,?), tipc, tipc).
index(tipc_canonical_address(?,?), tipc, tipc).
index(tipc_service_probe(?), tipc, tipc).
index(tipc_service_probe(?,?), tipc, tipc).
index(tipc_service_port_monitor(?,?), tipc, tipc).
index(tipc_service_port_monitor(?,?,?), tipc, tipc).
index(tipc_service_exists(?), tipc, tipc).
index(tipc_service_exists(?,?), tipc, tipc).
index(tipc_initialize, tipc, tipc).
index(tipc_host_to_address(?,?), tipc_broadcast, tipc_broadcast).
index(tipc_initialize, tipc_broadcast, tipc_broadcast).
index(linda, tipc_linda, tipc_linda).
index(linda(?), tipc_linda, tipc_linda).
index(linda_client(?), tipc_linda, tipc_linda).
index(close_client, tipc_linda, tipc_linda).
index(linda_timeout(?), tipc_linda, tipc_linda).
index(linda_timeout(?,?), tipc_linda, tipc_linda).
index(out(?), tipc_linda, tipc_linda).
index(in(?), tipc_linda, tipc_linda).
index(in_noblock(?), tipc_linda, tipc_linda).
index(in(?,?), tipc_linda, tipc_linda).
index(rd(?), tipc_linda, tipc_linda).
index(rd_noblock(?), tipc_linda, tipc_linda).
index(rd(?,?), tipc_linda, tipc_linda).
index(bagof_rd_noblock(?,?,?), tipc_linda, tipc_linda).
index(bagof_in_noblock(?,?,?), tipc_linda, tipc_linda).
index(linda_eval(?), tipc_linda, tipc_linda).
index(linda_eval(?,?), tipc_linda, tipc_linda).
index(linda_eval_detached(?), tipc_linda, tipc_linda).
index(linda_eval_detached(?,?), tipc_linda, tipc_linda).
index(tuple(?), tipc_linda, tipc_linda).
index(tuple(?,?), tipc_linda, tipc_linda).
index(tipc_linda_server, tipc_linda, tipc_linda).
index(tipc_initialize, tipc_linda, tipc_linda).
index(tipc_paxos_get(?), tipc_paxos, tipc_paxos).
index(tipc_paxos_get(?,?), tipc_paxos, tipc_paxos).
index(tipc_paxos_set(?), tipc_paxos, tipc_paxos).
index(tipc_paxos_set(?,?), tipc_paxos, tipc_paxos).
index(tipc_paxos_on_change(?,0), tipc_paxos, tipc_paxos).
index(tipc_initialize, tipc_paxos, tipc_paxos).
